package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyRestraintPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyRestraintRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyRestraintSaveReqVO;

/**
 * 约束观察记录 Service
 */
public interface ElderlyRestraintService {

    Long create(ElderlyRestraintSaveReqVO createReqVO);

    void update(ElderlyRestraintSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyRestraintRespVO get(Long id);

    PageResult<ElderlyRestraintRespVO> getPage(ElderlyRestraintPageReqVO pageReqVO);
}

